# Uses of Interface
net.sourceforge.jiu.data.RGB24Image

Packages that use RGB24Image
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.io
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of RGB24Image in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as RGB24Image
Modifier and Type
Field
Description
`private RGB24Image`
PSDCodec.`rgb24Image`
Methods in net.sourceforge.jiu.codecs with parameters of type RGB24Image
Modifier and Type
Method
Description
`private void`
PalmCodec.`save(DataOutput out, RGB24Image image)`
`private void`
PNMCodec.`save(RGB24Image image)`

## Uses of RGB24Image in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis with parameters of type RGB24Image
Modifier and Type
Method
Description
`private void`
MeanDifference.`process(RGB24Image image1, Paletted8Image image2)`

## Uses of RGB24Image in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering with parameters of type RGB24Image
Modifier and Type
Method
Description
`private void`
ErrorDiffusionDithering.`process(RGB24Image in, Paletted8Image out)`
`private void`
ErrorDiffusionDithering.`process(RGB24Image in, RGB24Image out)`
`private void`
OrderedDither.`process(RGB24Image in, Paletted8Image out)`
`private void`
OrderedDither.`process(RGB24Image in, RGB24Image out)`

## Uses of RGB24Image in net.sourceforge.jiu.color.io

Methods in net.sourceforge.jiu.color.io that return RGB24Image
Modifier and Type
Method
Description
`static RGB24Image`
PaletteSerialization.`convertPaletteToImage(Palette palette)`
Creates an RGB24Image from the palette entries, each entry becomes a pixel in an image of width 1 and height palette.getNumEntries().
Methods in net.sourceforge.jiu.color.io with parameters of type RGB24Image
Modifier and Type
Method
Description
`static Palette`
PaletteSerialization.`convertImageToPalette(RGB24Image image)`
Create a palette from the pixels of the argument image.

## Uses of RGB24Image in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type RGB24Image
Modifier and Type
Method
Description
`private void`
PromotionRGB24.`process(BilevelImage in, RGB24Image out)`
`private void`
PromotionRGB24.`process(Gray8Image in, RGB24Image out)`
`private void`
PromotionRGB24.`process(Paletted8Image in, RGB24Image out)`
`private void`
PromotionRGB48.`process(RGB24Image in, RGB48Image out)`

## Uses of RGB24Image in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization with parameters of type RGB24Image
Modifier and Type
Method
Description
`private RGBColorList`
MedianCutQuantizer.`createColorList(RGB24Image image)`
`void`
MedianCutQuantizer.`mapImage(RGB24Image in, Paletted8Image out)`
`void`
MedianCutQuantizer.`mapImage(RGB24Image in, RGB24Image out)`
`private void`
ArbitraryPaletteQuantizer.`process(RGB24Image in, Paletted8Image out)`
`private void`
UniformPaletteQuantizer.`process(RGB24Image in, Paletted8Image out)`

## Uses of RGB24Image in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type RGB24Image
Modifier and Type
Method
Description
`private void`
AutoDetectColorType.`createPaletted8FromRgb24(RGB24Image in)`
`private void`
AutoDetectColorType.`createRgb24FromRgb48(RGB48Image in, RGB24Image out)`
`private boolean`
AutoDetectColorType.`isRgb24Paletted8(RGB24Image in)`
`private void`
RGBToGrayConversion.`process(RGB24Image in)`

## Uses of RGB24Image in net.sourceforge.jiu.data

Classes in net.sourceforge.jiu.data that implement RGB24Image
Modifier and Type
Class
Description
`class`
`MemoryRGB24Image`
A class to store 24 bit RGB truecolor images in memory.

## Uses of RGB24Image in net.sourceforge.jiu.gui.awt

Classes in net.sourceforge.jiu.gui.awt that implement RGB24Image
Modifier and Type
Class
Description
`class`
`BufferedRGB24Image`
A bridge class to use `BufferedImage` objects (class defined in the standard runtime library, package `java.awt.image`) as `RGB24Image` objects within JIU.
Methods in net.sourceforge.jiu.gui.awt that return RGB24Image
Modifier and Type
Method
Description
`static RGB24Image`
ImageCreator.`convertImageToRGB24Image(Image image)`
Creates an `RGB24Image` from the argument AWT image instance.
`static RGB24Image`
ToolkitLoader.`loadAsRgb24Image(String fileName)`
Loads an image from a file using the AWT's built-in loader and converts the image to a `RGB24Image` object.
Methods in net.sourceforge.jiu.gui.awt with parameters of type RGB24Image
Modifier and Type
Method
Description
`static BufferedImage`
ImageCreator.`convertToAwtBufferedImage(RGB24Image image)`
Convert a JIU `RGB24Image` to a `BufferedImage` with the given alpha value (use `RGBA.DEFAULT_ALPHA` as default).
`static Image`
ImageCreator.`convertToAwtImage(RGB24Image image, int alpha)`